using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.ProductGalleriesCQ.EventHandlers;

public class UpdateProductGallerysEventHandler : INotificationHandler<UpdateProductGallerysEvent>
{
    private readonly ILogger<
        UpdateProductGallerysEventHandler> _logger;

    public UpdateProductGallerysEventHandler(ILogger<UpdateProductGallerysEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(UpdateProductGallerysEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
